Bug 69884 - Rename virtual deleteProperty to deletePropertyVirtual
Summary: Rename virtual deleteProperty to deletePropertyVirtual
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Hahnenberg
URL:
Keywords:
Depends on:
Blocks: 67690
  Show dependency treegraph
 
Reported: 2011-10-11 17:02 PDT by Mark Hahnenberg
Modified: 2011-10-17 02:09 PDT (History)
3 users (show)

See Also:


Attachments
Patch (67.99 KB, patch)
2011-10-11 17:18 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (69.11 KB, patch)
2011-10-12 11:42 PDT, Mark Hahnenberg
no flags Details | Formatted Diff | Diff
Patch (69.66 KB, patch)
2011-10-13 10:19 PDT, Mark Hahnenberg
darin: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hahnenberg 2011-10-11 17:02:06 PDT
Since the compiler cannot tell the difference between virtual deleteProperty and static deleteProperty, we need to rename virtual deleteProperty to deletePropertyVirtual in preparation for adding static deleteProperty to the MethodTable in ClassInfo.  See also bug 69810.
Comment 1 Mark Hahnenberg 2011-10-11 17:18:39 PDT
Created attachment 110613 [details]
Patch
Comment 2 Mark Hahnenberg 2011-10-12 11:42:51 PDT
Created attachment 110715 [details]
Patch
Comment 3 Mark Hahnenberg 2011-10-13 10:19:54 PDT
Created attachment 110869 [details]
Patch
Comment 4 WebKit Review Bot 2011-10-14 12:13:35 PDT
Comment on attachment 110869 [details]
Patch

Rejecting attachment 110869 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
.
patching file Source/WebKit/mac/Plugins/Hosted/NetscapePluginInstanceProxy.mm
patching file Source/WebKit2/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.cpp
patching file Source/WebKit2/WebProcess/Plugins/Netscape/JSNPObject.h
patching file Source/WebKit2/WebProcess/Plugins/Netscape/NPJSObject.cpp

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/10068413
Comment 5 Mark Hahnenberg 2011-10-14 14:18:55 PDT
Committed r97506: <http://trac.webkit.org/changeset/97506>
Comment 6 Patrick R. Gansterer 2011-10-17 02:09:31 PDT
Committed interpreter build fix r97593: <http://trac.webkit.org/changeset/97593>

Please watch the bots. THX!